generate-methods {Rtreemix} | R Documentation

## Method for generating a random mutagenetic trees mixture model

### Description

Function for generating a random mutagenetic mixture model. Each tree component from the model is drawn uniformly at random from the tree topology space by using the Pr"ufer encoding of trees. The number of tree components and the number of genetic events have to be specified.

### Usage

    ## S4 method for signature 'numeric, numeric':
    generate(K, no.events, ...)

### Arguments

`K` | An `integer` larger than 0 specifying the number of branchings in the mixture model.
`no.events` | An `integer` larger than 0 specifying the number of genetic events in the mixture model.
`...` | `noise.tree` is a `logical` indicating the presence of a noise (star) component in the random mixture model. The default value is `TRUE`. `equal.edgeweights` is a `logical` specifying whether to use equal edge weights in the noise component. The default value is `TRUE`. `prob` is a `numeric` vector of length 2 specifying the boundaries for the edge weights of the randomly generated trees. The first component of the vector (the lower boundary) must be smaller than the second component (the upper boundary). The default value is (0.0, 1.0). `seed` is a positive `integer` specifying the random generator seed. The default value is (-1) and then the time is used as a random generator.

### Value

The method returns an `RtreemixModel` object that represents the randomly generated K-trees mixture model.

### Author(s)

Jasmina Bogojeska

### References

Beweis eines Satzes "uber Permutationen, H. Pr"ufer; Learning multiple evolutionary pathways from cross-sectional data, N. Beerenwinkel et al.; Model Selection for Mixtures of Mutagenetic Trees, Yin et al.

### See Also

`RtreemixModel-class`

### Examples

    ## Generate a random RtreemixModel object with 3 components and 9 genetic events.
    rand.mod <- generate(K = 3, no.events = 9, noise.tree = TRUE, prob = c(0.2, 0.8))
    show(rand.mod)

[Package Rtreemix version 1.4.0 Index]